#
# $Id: mondo.spec 1892 2008-03-22 00:57:27Z bruno $
#

Summary:	MondoRescue is a GPL Disaster Recovery and Cloning Solution
Summary(fr):	Un programme pour créer un media de sauvegarde/restauration ou de clonage
Summary(it):	Un programma per utenti Linux per creare un CD/tape di rescue
Summary(sp):	Un programa por crear una CD/cinta de restoracion/rescate

Name:		mondo
Epoch:		1
Version:	3.2.2
Release:	%mkrel 5
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libnewt) >= 0.50
BuildRequires:	gcc-c++
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

ExclusiveArch:	x86_64 i586 ia64
Obsoletes:	libmondo

Requires:	mindi >= 2.1.4
Requires:	bzip2 >= 0.9
Requires:	afio
Requires:	mkisofs
Requires:	binutils
Requires:	newt >= 0.50
Requires:	buffer
Requires:	cdrecord
Requires:	parted
Requires:	net-tools

%description
Mondo is a GPL disaster recovery solution to create backup media
(CD, DVD, tape, network images) that can be used to redeploy the
damaged system, as well as deploy similar or less similar systems.

%description -l fr
Objectif
""""""""
Mondo est une solution GPL de sauvegarde en cas de désastre pour 
créer des médias (CD, DVD, bande, images réseau) qui peuvent être 
utilisés pour redéployer le système endommagé, aussi bien que des 
systèmes similaires, ou moins similaires.

%description -l it
Scopo
"""""
Mondo e' un programma che permette a qualsiasi utente Linux
di creare un cd di rescue/restore (o piu' cd qualora l'installazione
dovesse occupare piu' di 2Gb circa). Funziona con gli azionamenti di
nastro, ed il NFS, anche.

%description -l sp
Objectivo
"""""""""
Mondo es un programa que permite cualquier usuario de Linux a crear una CD
de restoracion/rescate (o CDs, si su instalacion es >2GO aprox.).  Funciona
con cintas y NFS, tambien.

%prep
%setup -q

%build
%define _legacy_common_support 1
./bootstrap
export CFLAGS="%{optflags} -fgnu89-inline"
%configure

%make_build VERSION=%{version}

%install
%make_install

mkdir -p %{buildroot}%{_var}/cache/%{name}

%files
%doc ChangeLog 
#svn.log
%doc COPYING README* TODO AUTHORS NEWS*
%doc docs/en/mondorescue-howto.html docs/en/mondorescue-howto.pdf

%{_sbindir}/*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man8/*
%{_var}/cache/%{name}


%changelog
* Sun Jun 28 2020 joequant <joequant> 1:3.2.2-5.mga8
+ Revision: 1599964
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1:3.2.2-4.mga8
+ Revision: 1519455
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 16 2018 bcornec <bcornec> 1:3.2.2-3.mga7
+ Revision: 1320907
- SLIENT: fix arch

* Sun Sep 23 2018 umeabot <umeabot> 1:3.2.2-2.mga7
+ Revision: 1299586
- Mageia 7 Mass Rebuild

* Fri Apr 29 2016 bcornec <bcornec> 1:3.2.2-1.mga6
+ Revision: 1007752
- Update to upstream mondo 3.2.2

* Mon Feb 15 2016 umeabot <umeabot> 1:3.0.4-6.mga6
+ Revision: 961467
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 daviddavid <daviddavid> 1:3.0.4-5.mga6
+ Revision: 899892
- fix compilation with gcc5: add -fgnu89-inline to CFLAGS

* Wed Oct 15 2014 umeabot <umeabot> 1:3.0.4-4.mga5
+ Revision: 744603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.0.4-3.mga5
+ Revision: 682567
- Mageia 5 Mass Rebuild

* Wed Nov 13 2013 bcornec <bcornec> 1:3.0.4-2.mga4
+ Revision: 551052
- Fix a dependency issue for test program in mondo
- Update to upstream 3.0.4

* Sat Oct 19 2013 umeabot <umeabot> 1:3.0.3-2.mga4
+ Revision: 533859
- Mageia 4 Mass Rebuild

* Mon Mar 18 2013 bcornec <bcornec> 1:3.0.3-1.mga4
+ Revision: 403703
- Updated to upstream 3.0.3 for bug fixes
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 26 2012 bcornec <bcornec> 1:3.0.1-1.mga2
+ Revision: 215147
- Updates to upstream 3.0.1

* Fri May 20 2011 bcornec <bcornec> 1:2.2.9.6-1.mga1
+ Revision: 99890
- Update to upstream 2.2.9.6

* Sun May 08 2011 tmb <tmb> 1:2.2.9.5-1.mga1
+ Revision: 96498
- add epoch to fix upgrade from mdv

* Mon Mar 21 2011 bcornec <bcornec> 2.2.9.5-1.mga1
+ Revision: 75254
- Update to upstream mondo 2.2.9.5

* Sat Mar 05 2011 ahmad <ahmad> 2.2.9.4-1.mga1
+ Revision: 65142
- run the bundles bootstrap script before configure so that it builds with our
  libtool-2.4
+ bcornec <bcornec>
- No changelog needed
- Created package structure for mondo.

